This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

EPAS(DBaaS)

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of EPAS(DBaaS) service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://epas.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Add Block Storages

1.1.1 - 1.0

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

AddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "role_type": "",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.2 - Create Cluster

1.2.1 - 1.0

post /v1/clusters

Description

Create Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

EpasClusterCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "",
    "ha_enabled": false,
    "init_config_option": {
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "60",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_encoding": "UTF-8",
        "database_locale": "C",
        "database_name": "",
        "database_port": 2866,
        "database_user_name": "",
        "database_user_password": ""
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "ACTIVE",
                    "service_ip_address": ""
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": ""
        }
    ],
    "instance_name_prefix": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "nat_enabled": false,
    "origin_cluster_id": "",
    "subnet_id": "",
    "tags": [],
    "timezone": "",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.3 - Create Replica

1.3.1 - 1.0

post /v1/clusters/{cluster_id}/replicas

Description

Create Replica.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ReplicasCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/replicas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "allowable_ip_addresses": [
        ""
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "replica_count": "",
    "replicas": [
        {
            "instance_groups": [
                {
                    "block_storage_groups": [
                        {
                            "role_type": "",
                            "size_gb": 104,
                            "volume_type": "SSD"
                        }
                    ],
                    "instances": [
                        {
                            "public_ip_id": "",
                            "role_type": "ACTIVE",
                            "service_ip_address": ""
                        }
                    ],
                    "role_type": "ACTIVE",
                    "server_type_name": ""
                }
            ],
            "name": ""
        }
    ],
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.4 - Create Restore Cluster

1.4.1 - 1.0

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "",
    "backup_recovery_time": "",
    "block_storage_groups": [],
    "instance_name_prefix": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "server_type_name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.5 - Delete Archive Log

1.5.1 - 1.0

delete /v1/clusters/{cluster_id}/archive

Description

Delete Archive Log.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querytype
optional
Archive log type
Example : ALL
any of [string, null]ALL

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.6 - Export Log

1.6.1 - 1.0

post /v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Description

Export Log.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}/export

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.7 - List Backup Histories

1.7.1 - 1.0

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

1.8 - List Clusters

1.8.1 - 1.0

get /v1/clusters

Description

List Clusters.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None
querydatabase_name
optional
Database Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKRdbClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.9 - List Engine Version Properties

1.9.1 - 1.0

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

1.10 - List Engine Versions

1.10.1 - 1.0

get /v1/engine-versions

Description

List Engine Versions.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

1.11 - List Log Export Configs

1.11.1 - 1.0

get /v1/clusters/{cluster_id}/log-export-configs

Description

List Log Export Configs.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
querytype
optional
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
200OKLogExportConfigListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "bucket_name": "examplebucket",
            "delete_on_export": true,
            "is_bucket_deleted": false,
            "is_registered": true,
            "log_label": "DB Alert Log",
            "log_type": "alert",
            "schedule_day_of_month": "28",
            "schedule_day_of_week": "MON",
            "schedule_frequency_type": "DAY",
            "schedule_hour": "12"
        }
    ],
    "count": 1
}

1.12 - List Parameter Groups

1.12.1 - 1.0

get /v1/parameter-groups

Description

List Parameter Groups.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querymajor_version
optional
Software major version
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKParameterGroupListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameter-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "",
            "major_version": "",
            "name": "",
            "product_image_type": "",
            "product_type": ""
        }
    ],
    "sort": [
        ""
    ]
}

1.13 - List Parameter Values

1.13.1 - 1.0

get /v1/clusters/{cluster_id}/parameters

Description

List Parameter Values.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParametersResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "allows_value": "",
            "applied_value": "",
            "apply_type": "",
            "data_type": "",
            "default_value": "",
            "description": "",
            "id": "",
            "is_modifiable": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": "",
    "modified_at": ""
}

1.14 - List Parameters

1.14.1 - 1.0

get /v1/parameters

Description

List Parameters.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
querydbaas_parameter_group_id
required
Parameter group ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKParameterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "dbaas_parameter_group_id": "",
            "default_value": "",
            "description": "",
            "id": "",
            "name": "",
            "software_type": ""
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15 - List Replicas

1.15.1 - 1.0

get /v1/clusters/{cluster_id}/replicas

Description

List Replicas.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicasListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/replicas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "region": "",
            "replica_state": "",
            "replica_state_detail": "",
            "synced_at": ""
        }
    ],
    "count": ""
}

1.16 - List Server Types

1.16.1 - 1.0

get /v1/server-types

Description

List Server Types.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

1.17 - Patch Minor Version

1.17.1 - 1.0

put /v1/clusters/{cluster_id}/patch

Description

Patch Minor Version.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MinorPatchRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/patch

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "backup_before_upgrade": "",
    "software_version": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.18 - Promote Replica Cluster

1.18.1 - 1.0

post /v1/clusters/{cluster_id}/promote

Description

Promote Replica Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/promote

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.19 - Register Log Export Config

1.19.1 - 1.0

post /v1/clusters/{cluster_id}/log-export-configs

Description

Register Log Export Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

LogExportConfigCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "bucket_name": "examplebucket",
    "delete_on_export": true,
    "log_type": "alert",
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.20 - Remove Backup Histories

1.20.1 - 1.0

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.21 - Reset Replica

1.21.1 - 1.0

post /v1/clusters/{replica_cluster_id}/reset-replica

Description

Reset Replica.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathreplica_cluster_id
required
Replica cluster id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{replica_cluster_id}/reset-replica

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.22 - Restart Cluster

1.22.1 - 1.0

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.23 - Set Archive Config

1.23.1 - 1.0

put /v1/clusters/{cluster_id}/archive

Description

Set Archive Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
bodybody
required

ArchiveConfigSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "archive_enabled": true,
    "retention_period_day": 1
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.24 - Set Audit Log

1.24.1 - 1.0

put /v1/clusters/{cluster_id}/audit-log

Description

Set Audit Log.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

AuditLogRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/audit-log

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "use_audit_log": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.25 - Set Backup

1.25.1 - 1.0

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupSettingRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "archive_frequency_minute": "",
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.26 - Set Block Storage Size

1.26.1 - 1.0

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.27 - Set Log Export Config

1.27.1 - 1.0

put /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Set Log Export Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None
bodybody
required

LogExportConfigModifyRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "delete_on_export": true,
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.28 - Set Maintenance

1.28.1 - 1.0

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.29 - Set Parameter Values

1.29.1 - 1.0

put /v1/clusters/{cluster_id}/parameters

Description

Set Parameter Values.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ParametersRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "parameters": [
        {
            "id": "",
            "new_value": "",
            "old_value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.30 - Set Security Group Rules

1.30.1 - 1.0

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.31 - Set Server Type

1.31.1 - 1.0

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.32 - Show Archive Config

1.32.1 - 1.0

get /v1/clusters/{cluster_id}/archive

Description

Show Archive Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchiveConfigDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "archive_enabled": true,
    "retention_period_day": 1
}

1.33 - Show Cluster

1.33.1 - 1.0

get /v1/clusters/{cluster_id}

Description

Show Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEpasClusterDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "",
    "dbaas_engine_version_name": "",
    "ha_enabled": false,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "audit_enabled": false,
        "backup_option": {
            "archive_frequency_minute": "60",
            "retention_period_day": "7",
            "starting_time_hour": "2"
        },
        "database_encoding": "UTF-8",
        "database_locale": "C",
        "database_name": "",
        "database_port": 2866,
        "database_user_name": "",
        "origin_region": ""
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": false,
    "origin_cluster_id": "",
    "product_image_type": "",
    "product_type": "",
    "replicas": [
        ""
    ],
    "role_type": "ORIGIN",
    "service_state": "RUNNING",
    "software_version": "",
    "subnet_id": "",
    "timezone": "",
    "vip_public_ip_address": "",
    "vip_public_ip_id": "",
    "virtual_ip_address": ""
}

1.34 - Show Request

1.34.1 - 1.0

get /v1/requests/{request_id}

Description

Show Request.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

1.35 - Start Cluster

1.35.1 - 1.0

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.36 - Stop Cluster

1.36.1 - 1.0

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.37 - Switchover Cluster

1.37.1 - 1.0

post /v1/clusters/{cluster_id}/switchover

Description

Switchover Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/switchover

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.38 - Synchronize Archive Config

1.38.1 - 1.0

post /v1/clusters/{cluster_id}/archive/sync

Description

Synchronize Archive Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/archive/sync

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.39 - Synchronize Cluster State

1.39.1 - 1.0

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.40 - Synchronize Parameter Values

1.40.1 - 1.0

post /v1/clusters/{cluster_id}/parameters/sync

Description

Synchronize Parameter Values.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/parameters/sync

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.41 - Synchronize Replica State

1.41.1 - 1.0

post /v1/clusters/{origin_cluster_id}/sync-replica-state

Description

Synchronize Replica State.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathorigin_cluster_id
required
Origin cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{origin_cluster_id}/sync-replica-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.42 - Terminate Cluster

1.42.1 - 1.0

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.43 - Unregister Log Export Config

1.43.1 - 1.0

delete /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Unregister Log Export Config.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.44 - Unset Backup

1.44.1 - 1.0

delete /v1/clusters/{cluster_id}/backups

Description

Unset Backup.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.45 - Unset Maintenance

1.45.1 - 1.0

delete /v1/clusters/{cluster_id}/maintenance

Description

Unset Maintenance.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = epas 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

2 - Models

2.1 - AddBlockStoragesRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.2 - ArchiveConfigDetailResponse

NameDescriptionSchemaDefault
archive_enabled
required
Archive enabled
Example : True
boolean
retention_period_day
optional
Backup retention period (day)
Example : 1
any of [integer, null]1

2.3 - ArchiveConfigSetRequest

NameDescriptionSchemaDefault
archive_enabled
required
Archive enabled
Example : True
boolean
retention_period_day
optional
Backup retention period (day)
Example : 1
any of [integer, null]1

2.4 - AsyncResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example : req-4f668846-8a3d-49f1-8111-451ebccf445c
string
resource
required
Resource
ResourceInfo

2.5 - AuditLogRequest

NameDescriptionSchemaDefault
use_audit_log
required
use_audit_log
Example :
boolean

2.6 - BackupHistoryApiItem

NameDescriptionSchemaDefault
backup_end_at
required
Backup end time
Example :
string
backup_history_number
required
Backup id
Example :
string
backup_size_gb
required
Backup amount(GB)
Example :
object
backup_start_at
required
Backup start time
Example :
string
backup_state
required
Backup state
Example :
string
backup_state_detail
optional
Backup detail state
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.7 - BackupHistoryListApiResponse

NameDescriptionSchemaDefault
contents
required
backup list information
array[BackupHistoryApiItem]
total_count
required
total number of backup history
Example :
integer

2.8 - BackupHistoryNumberRequest

NameDescriptionSchemaDefault
backup_history_number
required
Backup id
array[string]

2.9 - BackupSettingRequest

NameDescriptionSchemaDefault
archive_frequency_minute
required
Backup starting time (minute)
Example :
Pattern : ^(5|10|30|60)$
string
retention_period_day
required
Backup retention period (day)
Example :
Pattern : ^([7-9]|^[1-2]\d|^3[0-5])$
string
starting_time_hour
required
Backup starting time (hour)
Example :
Pattern : ^(\d|1\d|2[0-3])$
string

2.10 - BlockStorageGroupRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.11 - BlockStorageGroupResponse

NameDescriptionSchemaDefault
id
required
ID
Example :
string
name
required
Name
Example :
string
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example :
integer
volume_type
required
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)

2.12 - ClusterRestoreRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
backup_history_number
optional
Backup id
Example :
any of [string, null]
backup_recovery_time
optional
Backup Recovery Time
Example :
any of [string (date-time), null]
block_storage_groups
optional
Block storage groups list
any of [array[BlockStorageGroupRequest], null]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 16
string
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
server_type_name
required
Server type name
Example :
string
tags
optional
tag
any of [array[Tag], null]

2.13 - Engine

NameDescriptionSchemaDefault
end_of_service
optional
End of Service
Example : False
boolean
id
required
ID
Example :
string
major_version
required
Software major version
Example :
string
name
required
DBaaS engine version name
Example :
string
os_type
required
OS type
Example :
string
os_version
required
OS version
Example :
string
product_image_type
optional
Product type
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.14 - EngineListResponse

NameDescriptionSchemaDefault
contents
required
DBaaS engine list
array[Engine]

2.15 - EngineProperty

NameDescriptionSchemaDefault
name
required
DBaas engine property name
Example :
string
value
required
DBaas engine property value
Example :
string

2.16 - EnginePropertyListResponse

NameDescriptionSchemaDefault
contents
required
DBaas engine property list
array[EngineProperty]

2.17 - EpasBackupOption

NameDescriptionSchemaDefault
archive_frequency_minute
optional
Backup starting time (minute)
Example : 60
Pattern : ^(5|10|30|60)$
any of [string, null]60
retention_period_day
optional
Backup retention period (day)
Example : 7
any of [string, null]
starting_time_hour
optional
Backup starting time (hour)
Example : 2
any of [string, null]

2.18 - EpasClusterCreateRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
dbaas_engine_version_id
required
DBaaS engine version ID
Example :
string
ha_enabled
optional
HA availability
Example : False
boolean
init_config_option
required
DB initial configuration option
EpasInitConfigOptionRequest
instance_groups
required
Instance groups list
array[InstanceGroupRequest]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 13
string
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
nat_enabled
optional
NAT availability
Example : False
boolean
origin_cluster_id
optional
Origin cluster ID
Example :
any of [string, null]
subnet_id
required
Subnet ID
Example :
string
tags
optional
tag
any of [array[Tag], null]
timezone
required
Timezone
Example :
string
vip_public_ip_id
optional
(VIP) Public IP ID
Example :
any of [string, null]
virtual_ip_address
optional
Virtual IP address
Example :
any of [string, null]

2.19 - EpasClusterDetailResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
dbaas_engine
required
DBaaS engine
Example :
string
dbaas_engine_version_name
required
DBaaS engine version name
Example :
string
ha_enabled
optional
HA availability
Example : False
boolean
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
init_config_option
required
DB initial configuration option
EpasInitConfigOptionDetail
instance_count
optional
Instance Count
Example : 0
integer
instance_groups
required
Instance groups list
array[InstanceGroupResponse]
maintenance_option
optional
Maintenance option
any of [MaintenanceResponseOption, null]
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
nat_enabled
optional
NAT availability
Example : False
boolean
origin_cluster_id
optional
Origin cluster ID
Example :
any of [string, null]
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example : QOS
enum (QOS, PostgreSQL Community, EPAS, MariaDB, MySQL, Redis, Microsoft SQL Server, Search Engine, Event Streams, Vertica, Scalable DB)
replicas
required
Replicas list
array[string]
role_type
required
Role type
Example : ORIGIN
any of [enum (ORIGIN, REPLICA, RECOVERY, SECONDARY, MIGRATION), null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)
software_version
required
Software version
Example :
string
subnet_id
required
Subnet ID
Example :
string
timezone
required
Timezone
Example :
string
vip_public_ip_address
optional
(VIP) Public IP Address
Example :
any of [string, null]
vip_public_ip_id
optional
(VIP) Public IP ID
Example :
any of [string, null]
virtual_ip_address
optional
Virtual IP address
Example :
any of [string, null]

2.20 - EpasInitConfigOptionDetail

NameDescriptionSchemaDefault
audit_enabled
optional
Audit usage state
Example : False
boolean
backup_option
optional
Backup setting option
any of [EpasBackupOption, null]
database_encoding
optional
Database encoding
Example : UTF-8
any of [string, null]UTF-8
database_locale
optional
Database locale information
Example : C
any of [string, null]C
database_name
required
Database Name
Example :
string
database_port
optional
Database service port
Example : 2866
any of [integer, null]2866
database_user_name
required
Database User Name
Example :
string
origin_region
optional
Origin Region
Example :
any of [string, null]

2.21 - EpasInitConfigOptionRequest

NameDescriptionSchemaDefault
audit_enabled
optional
Audit usage state
Example : False
boolean
backup_option
optional
Backup setting option
any of [EpasBackupOption, null]
database_encoding
optional
Database encoding
Example : UTF-8
any of [string, null]UTF-8
database_locale
optional
Database locale information
Example : C
any of [string, null]C
database_name
required
Database Name
Example :
Pattern : ^[a-zA-Z][a-zA-Z0-9]*$
Minimum length : 3
Maximum length : 20
string
database_port
optional
Database service port
Example : 2866
any of [integer, null]2866
database_user_name
required
Database User Name
Example :
Pattern : ^[a-z]*$
Minimum length : 2
Maximum length : 20
string
database_user_password
required
Database user password
Example :
Minimum length : 8
Maximum length : 30
string

2.22 - InstanceGroupRequest

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupRequest]
instances
optional
Instances list
any of [array[InstanceRequest], null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string

2.23 - InstanceGroupResizeRequest

NameDescriptionSchemaDefault
server_type_name
required
Server type name
Example :
string

2.24 - InstanceGroupResponse

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupResponse]
id
required
ID
Example :
string
instances
required
Instances list
array[InstanceResponse]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string

2.25 - InstanceRequest

NameDescriptionSchemaDefault
public_ip_id
optional
Public IP ID
Example :
any of [string, null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]

2.26 - InstanceResponse

NameDescriptionSchemaDefault
name
required
Name
Example :
string
public_ip_address
optional
Public IP Address
Example :
any of [string, null]
public_ip_id
optional
Public IP ID
Example :
any of [string, null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.27 - LogExportConfig

NameDescriptionSchemaDefault
bucket_name
required
Bucket name
Example : examplebucket
any of [string, null]
delete_on_export
required
Delete on export
Example : True
any of [boolean, null]
is_bucket_deleted
required
Bucket deleted
Example : False
any of [boolean, null]
is_registered
required
Log type registration state
Example : True
boolean
log_label
required
Log label
Example : DB Alert Log
string
log_type
required
Log type
Example : alert
string
schedule_day_of_month
required
Schedule day of month
Example : 28
any of [string, null]
schedule_day_of_week
required
Schedule day of week
Example : MON
any of [enum (MON, TUE, WED, THU, FRI, SAT, SUN), null]
schedule_frequency_type
required
Schedule frequency type
Example : DAY
any of [string, null]
schedule_hour
required
Schedule hour
Example : 12
any of [string, null]

2.28 - LogExportConfigCreateRequest

NameDescriptionSchemaDefault
access_key
required
Access key
Example : 13952a8851244213f2de8d95069bf161
any of [string, null]
bucket_name
required
Bucket name
Example : examplebucket
string
delete_on_export
required
Delete on export
Example : True
any of [boolean, null]
log_type
required
Log type
Example : alert
string
schedule_day_of_month
required
Schedule day of month
Example : 28
Pattern : ^(-1|[1-9]|1[0-9]|2[0-9]|3[0-1])$
any of [string, null]
schedule_day_of_week
required
Schedule day of week
Example : MON
any of [enum (MON, TUE, WED, THU, FRI, SAT, SUN), null]
schedule_frequency_type
required
Schedule frequency type
Example : DAY
any of [string, null]
schedule_hour
required
Schedule hour
Example : 12
Pattern : ^(\d|1\d|2[0-3])$
any of [string, null]
secret_key
required
Secret key
Example : secretkey
any of [string, null]

2.29 - LogExportConfigListResponse

NameDescriptionSchemaDefault
contents
required
Log export config contents
array[LogExportConfig]
count
required
Log export config count
Example : 1
integer

2.30 - LogExportConfigModifyRequest

NameDescriptionSchemaDefault
access_key
required
Access key
Example : 13952a8851244213f2de8d95069bf161
any of [string, null]
delete_on_export
required
Delete on export
Example : True
any of [boolean, null]
schedule_day_of_month
required
Schedule day of month
Example : 28
Pattern : ^(-1|[1-9]|1[0-9]|2[0-9]|3[0-1])$
any of [string, null]
schedule_day_of_week
required
Schedule day of week
Example : MON
any of [enum (MON, TUE, WED, THU, FRI, SAT, SUN), null]
schedule_frequency_type
required
Schedule frequency type
Example : DAY
any of [string, null]
schedule_hour
required
Schedule hour
Example : 12
Pattern : ^(\d|1\d|2[0-3])$
any of [string, null]
secret_key
required
Secret key
Example : secretkey
any of [string, null]

2.31 - MaintenanceOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example :
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string
starting_day_of_week
optional
Starting day of week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
starting_time
optional
Starting time
Example :
string

2.32 - MaintenanceRequest

NameDescriptionSchemaDefault
start_day_of_week
required
start_day_of_week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
start_minute
required
start_minute
Example :
string
start_time
required
start_time
Example :
string
term_hour
required
term_hour
Example :
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string

2.33 - MaintenanceResponseOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example :
any of [string, null]
starting_day_of_week
optional
Starting day of week
Example : MON
any of [enum (MON, TUE, WED, THU, FRI, SAT, SUN), null]
starting_time
optional
Starting time
Example :
any of [string, null]
use_maintenance_option
optional
Maintenance period usage state
Example : False
boolean

2.34 - MinorPatchRequest

NameDescriptionSchemaDefault
backup_before_upgrade
required
backup_before_upgrade
Example :
boolean
software_version
required
software_version
Example :
string

2.35 - ParameterDTO

NameDescriptionSchemaDefault
allows_value
required
Parameter allows value
Example :
string
applied_value
required
Parameter applied value
Example :
string
apply_type
required
Parameter apply type
Example :
string
data_type
required
Parameter data type
Example :
string
default_value
required
Parameter default value
Example :
string
description
required
Parameter description
Example :
any of [string, null]
id
required
Parameter id
Example :
string
is_modifiable
required
Parameter is_modifiable
Example :
boolean
name
required
Parameter name
Example :
string
software_type
required
Parameter software type
Example :
any of [string, null]

2.36 - ParameterGroup

NameDescriptionSchemaDefault
id
required
Parameter group ID
Example :
string
major_version
required
Software major version
Example :
string
name
required
Parameter group name
Example :
string
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example :
string

2.37 - ParameterGroupListResponse

NameDescriptionSchemaDefault
contents
required
Parameter group list
array[ParameterGroup]
sort
optional
sort
Example :
any of [array[string], null]

2.38 - ParameterPageResponse

NameDescriptionSchemaDefault
contents
required
Parameter list
array[Parameters]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.39 - ParameterRequest

NameDescriptionSchemaDefault
id
required
Parameter id
Example :
string
new_value
required
Parameter new value
Example :
string
old_value
required
Parameter old value
Example :
string

2.40 - Parameters

NameDescriptionSchemaDefault
dbaas_parameter_group_id
required
Parameter id
Example :
string
default_value
required
Parameter default value
Example :
string
description
required
Parameter description
Example :
string
id
required
Parameter id
Example :
string
name
required
Parameter name
Example :
string
software_type
required
Parameter software type
Example :
any of [string, null]

2.41 - ParametersRequest

NameDescriptionSchemaDefault
parameters
required
Parameter request list
array[ParameterRequest]

2.42 - ParametersResponse

NameDescriptionSchemaDefault
contents
required
Parameter contents
array[ParameterDTO]
count
required
Parameter count
Example :
integer
modified_at
required
Modification time
Example :
string

2.43 - RdbClusterPageResponse

NameDescriptionSchemaDefault
contents
required
Clusters list
any of [array[RdbClusterResponse], null]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.44 - RdbClusterResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
database_name
required
Database Name
Example :
any of [string, null]
ha_enabled
optional
HA availability
Example : False
boolean
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
instance_count
optional
Instance Count
Example : 0
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
role_type
required
Role type
Example : ORIGIN
any of [enum (ORIGIN, REPLICA, RECOVERY, SECONDARY, MIGRATION), null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.45 - ReplicaItem

NameDescriptionSchemaDefault
name
required
Server name
Example :
string
region
required
Replica region
Example :
any of [string, null]
replica_state
required
Replica state
Example :
any of [string, null]
replica_state_detail
required
Replica detail state
Example :
any of [string, null]
synced_at
required
Replica check time
Example :
any of [string, null]

2.46 - Replicas

NameDescriptionSchemaDefault
instance_groups
required
Instance groups list
array[InstanceGroupRequest]
name
required
Replica Name
Example :
Pattern : ^[a-z][a-z0-9\-]*[a-z0-9]$
Minimum length : 3
Maximum length : 19
string

2.47 - ReplicasCreateRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
required
Allowed IP addresses list
Example :
any of [array[string], null]
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
replica_count
required
Replica count
Example :
integer
replicas
required
Replicas list
array[Replicas]
tags
optional
tag
any of [array[Tag], null]

2.48 - ReplicasListResponse

NameDescriptionSchemaDefault
contents
required
Replicas list
array[ReplicaItem]
count
required
Replica count
Example :
integer

2.49 - RequestStateResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example :
string
state
required
Request state
Example :
string

2.50 - ResizeBlockStorageGroupRequest

NameDescriptionSchemaDefault
size_gb
required
Size in GB
Example : 16
Minimum : 16
Maximum : 5120
integer

2.51 - ResourceInfo

NameDescriptionSchemaDefault
id
required
request resource id
Example : 109a585ae67b4e8482fdafc8a4a5be74
string

2.52 - ServerType

NameDescriptionSchemaDefault
cpu_core
required
Server type cpu core
Example :
integer
description
required
Server type description
Example :
string
memory_gb
required
Server type memory
Example :
integer
name
required
Server type name
Example :
string
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example :
string
purpose
required
Server type purpose
Example :
string
type
required
Server type class
Example :
string

2.53 - ServerTypeListResponse

NameDescriptionSchemaDefault
contents
required
Server type list
array[ServerType]

2.54 - Tag

NameDescriptionSchemaDefault
key
optional

Example :
string
value
optional

Example :
any of [string, null]

2.55 - UpdateSecurityGroupRulesRequest

NameDescriptionSchemaDefault
add_ip_addresses
optional
Allowed IP addresses list
array[string]
del_ip_addresses
optional
Allowed IP addresses list
array[string]